<?php
define('_IN_JOHNCMS', 1);

$headmod = 'number_x';
$textl = 'Угадай число';
$rootpath = '../../';
require_once ("../../incfiles/core.php");
require_once ("../../incfiles/head.php");

echo "<div class='phdr'>Угадай число</div>";

if ($user_id) {

    $lownumber = 1; // Минимальное случайное число
    $highnumber = 100; // Максимальое случайное число
    $popytka = 5; //Количество попыток
    $balans_plus = 10; //Баллов за победу
    $balans_minus = 2; //Баллов за проигрышь

    switch ($act) {

        case "start":
            if (isset($_POST['submit'])) {
                $cifra = abs(intval($_POST['cifra']));

                if (!$_SESSION['game_number']) {
                    header("Location: ?");
                }

                if ($_SESSION['game_attempt'] > $popytka) {

                    unset($_SESSION['game_number']);
                    unset($_SESSION['game_attempt']);

                    mysql_query("update `users` set balans=balans-" . $balans_minus . " where id='" .
                        $user_id . "' LIMIT 1;");

                    echo '<div class="rmenu">Попытки закончились, вы проиграли!</div>';
                    echo '<div class="menu"><a href="?">Еще раз</a><br />';
                    echo '<a href="../?">В раздел</a></div>';

                    require_once ("../../incfiles/end.php");
                    exit();
                } else
                    if ($cifra > $_SESSION['game_number']) {
                        echo '<div class="gmenu">Эта цифра больше загаданого числа<br />';

                        $_SESSION['game_attempt'] = $_SESSION['game_attempt'] + 1;

                    } elseif ($cifra < $_SESSION['game_number']) {
                        echo '<div class="gmenu">Эта цифра меньше загаданого числа<br />';
                        $_SESSION['game_attempt'] = $_SESSION['game_attempt'] + 1;

                    } elseif ($cifra == $_SESSION['game_number']) {
                        echo '<div class="gmenu"><h3><span class="green">Вы выиграли!</span></h3>Загадоное число: ' .
                            $_SESSION['game_number'];
                        unset($_SESSION['game_number']);
                        unset($_SESSION['game_attempt']);

                        mysql_query("update `users` set balans=balans+" . $balans_plus . " where id='" .
                            $user_id . "' LIMIT 1;");

                        echo '</div><div class="menu"><a href="?">Еще раз</a><br />';
                        echo '<a href="../?">В раздел</a></div>';

                        require_once ("../../incfiles/end.php");
                        exit();

                    }
            } else {
                echo '<div class="gmenu">';
            }

            echo '<form action="?act=start" method="post">';
            echo 'Ведите число от ' . (int)$lownumber . ' до ' . (int)$highnumber . ':<br/>';
            echo '<input type="text" name="cifra"/><br/>';
            echo '<input name="submit" type="submit" value="Угадать"/>';
            echo '</form></div>';
            echo '<div class="menu">';

            break;
        default:
            $_SESSION['game_number'] = rand($lownumber, $highnumber);
            $_SESSION['game_attempt'] = 1;

            echo '<div class="gmenu">Для участия в игре напишите число и нажмите "Угадать", вам дается ' .
                $popytka . ' попыток, если угадать не удастся ваш баланс будет понижен на ' . $balans_minus .
                '<br/>
			После каждой попытки вам дают подсказку большое это число или маленькое<br/>
			При выигрыше ваш баланс увеличится на ' . $balans_plus . '<br/>
			Желаю удачи!</div>';

            if ($datauser['balans'] < $balans_minus) {
                echo '<div class="rmenu">Ваш баланс не позволяет вам играть, повысте его';
                echo '</div><div class="menu">';
            } else {
                echo '<div class="menu"><a href="?act=start">Начать игру</a><br />';
            }
            break;
    }
} else {
    echo functions::display_error("Игра доступна только для зарегистрированых пользователей сайта");
}
echo '<a href="../?">В раздел</a></div>';

require_once ("../../incfiles/end.php");
?>